Subject: Re: [AVTCORE] [Editorial Errata Reported] RFC3611 (4386)

From: Magnus Westerlund <[email-masked]>
Date: Thu, 23 Jul 2015 10:56:33 +0200

Hi,

Thanks for reporting this Errata. I have done a personal estimation of 
this errata. The report is correct that there are only 63 packets in the 
vector. However, reviewing the example I don't see that any point of the 
example is lost or being confused by this. Because of this I would 
suggest that this Errata is moved into

Hold for Document update

Feedback on this is appreciated.

Cheers

Magnus Westerlund
(Chair)

Den 2015-06-03 kl. 21:13, skrev RFC Errata System:
> The following errata report has been submitted for RFC3611,
> "RTP Control Protocol Extended Reports (RTCP XR)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=3611&eid=4386
>
> --------------------------------------
> Type: Editorial
> Reported by: Tong Zhou <[email-masked]>
>
> Section: 4.7.2
>
> Original Text
> -------------
>     For example, a 1 denotes a received packet, 0 a lost packet, and X a
>     discarded packet in the following pattern covering 64 packets:
>
>        11110111111111111111111X111X1011110111111111111111111X111111111
>        |---------gap----------|--burst---|------------gap------------|
>
>     The burst consists of the twelve packets indicated above, starting at
>     a discarded packet and ending at a lost packet.  The first gap starts
>     at the beginning of the session and the second gap ends at the time
>     of the report.
>
>     If the packet spacing is 10 ms and the Gmin value is the recommended
>     value of 16, the burst duration is 120 ms, the burst density 0.33,
>     the gap duration 230 ms + 290 ms = 520 ms, and the gap density 0.04.
>
> Corrected Text
> --------------
>     For example, a 1 denotes a received packet, 0 a lost packet, and X a
>     discarded packet in the following pattern covering 64 packets:
>
>        11110111111111111111111X111X1011110111111111111111111X1111111111
>        |---------gap----------|--burst---|------------gap------------|
>
>     The burst consists of the twelve packets indicated above, starting at
>     a discarded packet and ending at a lost packet.  The first gap starts
>     at the beginning of the session and the second gap ends at the time
>     of the report.
>
>     If the packet spacing is 10 ms and the Gmin value is the recommended
>     value of 16, the burst duration is 120 ms, the burst density 0.33,
>     the gap duration 230 ms + 290 ms = 520 ms, and the gap density 0.04.
>
> Notes
> -----
> The pattern in the example shows 63 packets rather than 64. Added a "1" at the end. Another option is to keep the pattern unchanged, and redo the math.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC3611 (draft-ietf-avt-rtcp-report-extns-06)
> --------------------------------------
> Title               : RTP Control Protocol Extended Reports (RTCP XR)
> Publication Date    : November 2003
> Author(s)           : T. Friedman, Ed., R. Caceres, Ed., A. Clark, Ed.
> Category            : PROPOSED STANDARD
> Source              : Audio/Video Transport
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG
>
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------